Home

# Class goog.ui.equation.EquationEditorDialog

User interface for equation editor plugin standalone tests.

extends goog.ui.Dialog

Instance Method Summary
| `getEquation() ⇒ string` Returns the encoded equation.
| `getHtml() ⇒ string`
| `onChange_(?goog.ui.equation.ChangeEvent e)` Handles CHANGE event fired when user changes equation.
| `populateContext_() ⇒ ?Object` Populates the context of this dialog.
| `setEquation(string equation)` Sets the encoded equation.
| `setVisible(boolean visible)` Sets the visibility of the dialog box and moves focus to the default button. Lazily renders the component if needed.